%define momorel 8
Summary: Icecast - Streaming Media Server
Name: icecast
Version: 1.3.12
Release: %{momorel}m
License: GPL
URL: http://www.icecast.org/
Source0: http://www.icecast.org/files/%{name}-%{version}.tar.gz
NoSource: 0
#
# too old
# Patch0: ftp://ftp.kame.net/pub/kame/misc/%{name}-114-v6-19990618a.diff.gz
Patch1: icecast-1.3.12-errno.patch
Patch100: icecast-1.3.11-bof.patch
Group: System Environment/Daemons
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Icecast is an Internet based broadcasting system based on the Mpeg Layer III
streaming technology.  It was originally inspired by Nullsoft's Shoutcast
and also mp3serv by Scott Manley.  The icecast project was started for several
reasons: a) all broadcasting systems were pretty much closed source,
non-free software implementations, b) Shoutcast doesn't allow you to run your
own directory servers, or support them, and c) we thought it would be a
lot of fun.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
%patch100 -p1

%build

# readline compile here is fucked

if [ ! -f configure ]; then
  CFLAGS="%{optflags}" ./autogen.sh --enable-fsstd --with-libwrap \
	--without-readline
#	--without-readline --with-crypt
else
  CFLAGS="%{optflags}" ./configure --enable-fsstd --with-libwrap \
	--without-readline
#	--without-readline --with-crypt
fi
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# copy the configuration files to be the right name so that it works without 
# _having_ # to change them (though they should), and leave the defaults so 
# they don't screw with them
cp %{buildroot}/etc/icecast/icecast.conf.dist \
	%{buildroot}/etc/icecast/icecast.conf
cp %{buildroot}/etc/icecast/groups.aut.dist \
	%{buildroot}/etc/icecast/groups.aut
cp %{buildroot}/etc/icecast/mounts.aut.dist \
	%{buildroot}/etc/icecast/mounts.aut
cp %{buildroot}/etc/icecast/users.aut.dist \
	%{buildroot}/etc/icecast/users.aut

# remove
rm -f %{buildroot}/usr/doc/icecast-1.3.12/manual.html

%files
%defattr(-,root,root)
%doc AUTHORS BUGS CHANGES COPYING FAQ README TESTED TODO doc/manual.html
%{_sbindir}/icecast
/var/log/icecast
%{_datadir}/icecast/
%dir /etc/icecast
/etc/icecast/groups.aut.dist
/etc/icecast/mounts.aut.dist
/etc/icecast/users.aut.dist
/etc/icecast/icecast.conf.dist
%config /etc/icecast/groups.aut
%config /etc/icecast/mounts.aut
%config /etc/icecast/users.aut
%config /etc/icecast/icecast.conf

%clean 
rm -rf %{buildroot}

%changelog
* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (1.3.12-8m)
- revised spec for enabling rpm 4.2.

* Mon Jun 16 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.3.12-7m)
- add errno patch

* Sat Apr 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.12-6m)
- change Source0 URI

* Wed Mar 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.12-5m)
- fix spec file
- use rpm macros

* Fri Feb 28 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.3.12-4m)
- enable stack protector again

* Tue Feb 11 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.3.12-3m)
  disable stack protector.

* Wed May 15 2002 Toru Hoshina <t@kondara.org>
- (1.3.12-2k)
- version up. security fix. See jitterbug/#1039.

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (1.3.11-4k)
- nigittenu

* Fri Nov 9 2001 TABUCHI Takaaki <tab@kondara.org>
- (1.3.11-2k)
- update to 1.3.11

* Thu Oct 12 2000 Motonobu Ichimura <famao@kondara.org>
- fixed Group Name ;-<

* Thu Aug 31 2000 AYUHANA Tomonori <l@kondara.org>
- (1.3.8.beta2-1k)
- update to 1.3.8.beta2
- temporary comment outed --with-crypt for ices

* Mon Jul 24 2000 AYUHANA Tomonori <l@kondara.org>
- (1.3.7-1k)
- ported from MandrakeCooker
- Be a NoSrc :-P
- (1.3.7-2k)
- add --with-crypt at configure
- change --enable-libwrap to --with-libwrap

* Fri Jul 07 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.3.7-1mdk
- mandrake-ize package

* Tue Mar 21 2000 Jeremy Katz <katzj@icecast.org>
- clean up the spec file a little

* Thu Dec 9 1999 Jeremy Katz <katzj@icecast.org>
- First official rpm build, using 2.0.0-beta
